#### D.5.17.33 homog_part

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  homog_part(f,n); f poly, n int

Return:
  poly

Purpose:
  computing the homogeneous component of a polynomial.

Example:

    LIB "schubert.lib";
    ring r = 0,(x,y,z),wp(1,2,3);
    poly f = 1+x+x2+x3+x4+y+y2+y3+z+z2+xy+xz+yz+xyz;
    homog_part(f,0);
    ==> 1
    homog_part(f,1);
    ==> x
    homog_part(f,2);
    ==> x2+y
    homog_part(f,3);
    ==> x3+xy+z
    homog_part(f,4);
    ==> x4+y2+xz
    homog_part(f,5);
    ==> yz
    homog_part(f,6);
    ==> y3+xyz+z2

User manual for Singular version 4.4.1, 2025, generated by texi2html.